petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscIntView

Prints an array of integers; useful for debugging.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscIntView(PetscInt N,const PetscInt idx[],PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| N | - number of integers in array
| idx | - array of integers
| viewer | - location to print array, PETSC_VIEWER_STDOUT_WORLD, PETSC_VIEWER_STDOUT_SELF or 0

### Developer Notes

idx cannot be const because may be passed to binary viewer where byte swapping is done

### See Also

PetscRealView()

### Level

intermediate

### Location

src/sys/error/err.c

### Examples

src/vec/is/is/examples/tutorials/ex4.c.html
src/vec/is/is/examples/tutorials/ex5.c.html
src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex1f.F90.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages